Update Account
curl --request PUT \
--url https://api.xplenty.com/{account_id}/api/account \
--header 'Accept: <accept>' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"region": "<string>",
"location": "<string>",
"billing_email": "jsmith@example.com",
"gravatar_email": "jsmith@example.com"
}
'import requests
url = "https://api.xplenty.com/{account_id}/api/account"
payload = {
"name": "<string>",
"region": "<string>",
"location": "<string>",
"billing_email": "jsmith@example.com",
"gravatar_email": "jsmith@example.com"
}
headers = {
"Accept": "<accept>",
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Accept: '<accept>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
region: '<string>',
location: '<string>',
billing_email: 'jsmith@example.com',
gravatar_email: 'jsmith@example.com'
})
};
fetch('https://api.xplenty.com/{account_id}/api/account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"account_id": "<string>",
"name": "<string>",
"uname": "<string>",
"region": "<string>",
"location": "<string>",
"billing_email": "jsmith@example.com",
"gravatar_email": "jsmith@example.com",
"avatar_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"connections_count": 123,
"role": "<string>",
"owner_id": 123,
"members_count": 123,
"packages_count": 123,
"jobs_count": 123,
"running_jobs_count": 123,
"url": "<string>",
"public_key": "<string>"
}Accounts
Update Account
Updates the current account’s settings.
PUT
/
account
Update Account
Authorizations
Enter your API key as the username. Leave the password field blank.
Example: curl -u YOUR_API_KEY: https://api.xplenty.com/...
Headers
API version header — required on all requests
Body
application/json
Response
200 - application/vnd.xplenty+json; version=2
Account updated
Last modified on July 14, 2026
Was this page helpful?
⌘I